<component name="InspectionProjectProfileManager">
  <profile version="1.0">
    <option name="myName" value="Agentec" />
    <inspection_tool class="AndroidLintAppCompatCustomView" enabled="false" level="ERROR" enabled_by_default="false" />
    <inspection_tool class="AndroidLintContentDescription" enabled="false" level="WARNING" enabled_by_default="false" />
    <inspection_tool class="AndroidLintGradleCompatible" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="AndroidLintInflateParams" enabled="false" level="WARNING" enabled_by_default="false" />
    <inspection_tool class="AndroidLintLabelFor" enabled="false" level="WARNING" enabled_by_default="false" />
    <inspection_tool class="AndroidLintMissingTranslation" enabled="false" level="ERROR" enabled_by_default="false" />
    <inspection_tool class="AndroidLintNewApi" enabled="false" level="ERROR" enabled_by_default="false" />
    <inspection_tool class="AndroidLintOverdraw" enabled="true" level="TODO" enabled_by_default="true" />
    <inspection_tool class="AndroidLintRtlHardcoded" enabled="true" level="TODO" enabled_by_default="true" />
    <inspection_tool class="AndroidLintRtlSymmetry" enabled="true" level="TODO" enabled_by_default="true" />
    <inspection_tool class="ArrayEquality" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ArrayEquals" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ArrayHashCode" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ArrayObjectsEquals" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="AssertWithSideEffects" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="BooleanMethodNameMustStartWithQuestion" enabled="false" level="ERROR" enabled_by_default="false">
      <option name="ignoreBooleanMethods" value="false" />
      <option name="ignoreInAnnotationInterface" value="true" />
      <option name="onlyWarnOnBaseMethods" value="true" />
      <option name="questionString" value="are,can,check,contains,could,endsWith,equals,has,is,matches,must,remove,shall,should,startsWith,was,were,will,would,get" />
    </inspection_tool>
    <inspection_tool class="CastConflictsWithInstanceof" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="CastToIncompatibleInterface" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ClassNewInstance" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="CollectionAddedToSelf" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ComparableImplementedButEqualsNotOverridden" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ComparatorMethodParameterNotUsed" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="CompareToUsesNonFinalVariable" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ConstantAssertCondition" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ConstantConditions" enabled="true" level="ERROR" enabled_by_default="true">
      <option name="SUGGEST_NULLABLE_ANNOTATIONS" value="false" />
      <option name="DONT_REPORT_TRUE_ASSERT_STATEMENTS" value="false" />
    </inspection_tool>
    <inspection_tool class="Contract" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ControlFlowStatementWithoutBraces" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="CovariantCompareTo" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="CovariantEquals" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="CyclomaticComplexity" enabled="true" level="TODO" enabled_by_default="true">
      <option name="m_limit" value="10" />
    </inspection_tool>
    <inspection_tool class="EmptyInitializer" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="EmptyStatementBody" enabled="false" level="ERROR" enabled_by_default="false">
      <option name="m_reportEmptyBlocks" value="true" />
    </inspection_tool>
    <inspection_tool class="EnumSwitchStatementWhichMissesCases" enabled="true" level="ERROR" enabled_by_default="true">
      <option name="ignoreSwitchStatementsWithDefault" value="false" />
    </inspection_tool>
    <inspection_tool class="EqualsAndHashcode" enabled="false" level="ERROR" enabled_by_default="false" />
    <inspection_tool class="EqualsBetweenInconvertibleTypes" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="EqualsUsesNonFinalVariable" enabled="false" level="ERROR" enabled_by_default="false" />
    <inspection_tool class="EqualsWhichDoesntCheckParameterClass" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="EqualsWithItself" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="FieldHidesSuperclassField" enabled="true" level="ERROR" enabled_by_default="true">
      <option name="m_ignoreInvisibleFields" value="true" />
    </inspection_tool>
    <inspection_tool class="ForLoopThatDoesntUseLoopVariable" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="HashCodeUsesNonFinalVariable" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="IgnoreResultOfCall" enabled="false" level="ERROR" enabled_by_default="false">
      <option name="m_reportAllNonLibraryCalls" value="false" />
      <option name="callCheckString" value="java.io.File,.*,java.io.InputStream,read|skip|available|markSupported,java.io.Reader,read|skip|ready|markSupported,java.lang.Boolean,.*,java.lang.Byte,.*,java.lang.Character,.*,java.lang.Double,.*,java.lang.Float,.*,java.lang.Integer,.*,java.lang.Long,.*,java.lang.Math,.*,java.lang.Object,equals|hashCode|toString,java.lang.Short,.*,java.lang.StrictMath,.*,java.lang.String,.*,java.math.BigInteger,.*,java.math.BigDecimal,.*,java.net.InetAddress,.*,java.net.URI,.*,java.util.UUID,.*,java.util.regex.Matcher,pattern|toMatchResult|start|end|group|groupCount|matches|find|lookingAt|quoteReplacement|replaceAll|replaceFirst|regionStart|regionEnd|hasTransparantBounds|hasAnchoringBounds|hitEnd|requireEnd,java.util.regex.Pattern,.*" />
    </inspection_tool>
    <inspection_tool class="ImplicitArrayToString" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="InnerClassReferencedViaSubclass" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="InnerClassVariableHidesOuterClassVariable" enabled="true" level="ERROR" enabled_by_default="true">
      <option name="m_ignoreInvisibleFields" value="true" />
    </inspection_tool>
    <inspection_tool class="InstanceofIncompatibleInterface" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="InstantiationOfUtilityClass" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="IteratorHasNextCallsIteratorNext" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="IteratorNextDoesNotThrowNoSuchElementException" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="JavaDoc" enabled="true" level="TODO" enabled_by_default="true">
      <option name="TOP_LEVEL_CLASS_OPTIONS">
        <value>
          <option name="ACCESS_JAVADOC_REQUIRED_FOR" value="none" />
          <option name="REQUIRED_TAGS" value="" />
        </value>
      </option>
      <option name="INNER_CLASS_OPTIONS">
        <value>
          <option name="ACCESS_JAVADOC_REQUIRED_FOR" value="none" />
          <option name="REQUIRED_TAGS" value="" />
        </value>
      </option>
      <option name="METHOD_OPTIONS">
        <value>
          <option name="ACCESS_JAVADOC_REQUIRED_FOR" value="none" />
          <option name="REQUIRED_TAGS" value="@return@param@throws or @exception" />
        </value>
      </option>
      <option name="FIELD_OPTIONS">
        <value>
          <option name="ACCESS_JAVADOC_REQUIRED_FOR" value="none" />
          <option name="REQUIRED_TAGS" value="" />
        </value>
      </option>
      <option name="IGNORE_DEPRECATED" value="false" />
      <option name="IGNORE_JAVADOC_PERIOD" value="true" />
      <option name="IGNORE_DUPLICATED_THROWS" value="false" />
      <option name="IGNORE_POINT_TO_ITSELF" value="false" />
      <option name="myAdditionalJavadocTags" value="" />
    </inspection_tool>
    <inspection_tool class="JniMissingFunction" enabled="false" level="ERROR" enabled_by_default="false" />
    <inspection_tool class="LiteralAsArgToStringEquals" enabled="false" level="ERROR" enabled_by_default="false" />
    <inspection_tool class="LocalCanBeFinal" enabled="false" level="ERROR" enabled_by_default="false">
      <option name="REPORT_VARIABLES" value="true" />
      <option name="REPORT_PARAMETERS" value="true" />
    </inspection_tool>
    <inspection_tool class="LocalVariableHidingMemberVariable" enabled="true" level="ERROR" enabled_by_default="true">
      <option name="m_ignoreInvisibleFields" value="true" />
      <option name="m_ignoreStaticMethods" value="true" />
    </inspection_tool>
    <inspection_tool class="MagicConstant" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="MagicNumber" enabled="true" level="INFO" enabled_by_default="true">
      <option name="ignoreInitialCapacity" value="true" />
    </inspection_tool>
    <inspection_tool class="MalformedFormatString" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="MalformedRegex" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="MalformedXPath" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="MathRandomCastToInt" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="MethodCoupling" enabled="false" level="INFO" enabled_by_default="false">
      <option name="m_includeJavaClasses" value="false" />
      <option name="m_includeLibraryClasses" value="false" />
      <option name="m_limit" value="10" />
    </inspection_tool>
    <inspection_tool class="MethodWithMultipleLoops" enabled="false" level="INFO" enabled_by_default="false" />
    <inspection_tool class="MismatchedArrayReadWrite" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="MismatchedCollectionQueryUpdate" enabled="true" level="ERROR" enabled_by_default="true">
      <option name="queryNames">
        <value />
      </option>
      <option name="updateNames">
        <value />
      </option>
      <option name="ignoredClasses">
        <value />
      </option>
    </inspection_tool>
    <inspection_tool class="MismatchedStringBuilderQueryUpdate" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="MissingOverrideAnnotation" enabled="true" level="ERROR" enabled_by_default="true">
      <option name="ignoreObjectMethods" value="true" />
      <option name="ignoreAnonymousClassMethods" value="false" />
    </inspection_tool>
    <inspection_tool class="MisspelledCompareTo" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="MisspelledEquals" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="MisspelledHashcode" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="MisspelledToString" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="MultipleDeclaration" enabled="true" level="ERROR" enabled_by_default="true">
      <option name="ignoreForLoopDeclarations" value="true" />
    </inspection_tool>
    <inspection_tool class="MultipleReturnPointsPerMethod" enabled="false" level="INFO" enabled_by_default="false">
      <option name="ignoreGuardClauses" value="false" />
      <option name="ignoreEqualsMethod" value="false" />
      <option name="m_limit" value="1" />
    </inspection_tool>
    <inspection_tool class="NegatedIfElse" enabled="true" level="ERROR" enabled_by_default="true">
      <option name="m_ignoreNegatedNullComparison" value="true" />
      <option name="m_ignoreNegatedZeroComparison" value="false" />
    </inspection_tool>
    <inspection_tool class="NestingDepth" enabled="true" level="TODO" enabled_by_default="true">
      <option name="m_limit" value="5" />
    </inspection_tool>
    <inspection_tool class="NewStringBufferWithCharArgument" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="NonBooleanMethodNameMayNotStartWithQuestion" enabled="false" level="ERROR" enabled_by_default="false">
      <option name="questionString" value="add,are,can,check,contains,could,endsWith,equals,has,is,matches,must,put,remove,shall,should,startsWith,was,were,will,would" />
      <option name="ignoreBooleanMethods" value="false" />
      <option name="onlyWarnOnBaseMethods" value="true" />
    </inspection_tool>
    <inspection_tool class="NonCommentSourceStatements" enabled="true" level="TODO" enabled_by_default="true">
      <option name="m_limit" value="30" />
    </inspection_tool>
    <inspection_tool class="NonShortCircuitBoolean" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="NullArgumentToVariableArgMethod" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="NullableProblems" enabled="false" level="ERROR" enabled_by_default="false">
      <option name="REPORT_NULLABLE_METHOD_OVERRIDES_NOTNULL" value="true" />
      <option name="REPORT_NOT_ANNOTATED_METHOD_OVERRIDES_NOTNULL" value="true" />
      <option name="REPORT_NOTNULL_PARAMETER_OVERRIDES_NULLABLE" value="true" />
      <option name="REPORT_NOT_ANNOTATED_PARAMETER_OVERRIDES_NOTNULL" value="true" />
      <option name="REPORT_NOT_ANNOTATED_GETTER" value="true" />
      <option name="REPORT_NOT_ANNOTATED_SETTER_PARAMETER" value="true" />
      <option name="REPORT_ANNOTATION_NOT_PROPAGATED_TO_OVERRIDERS" value="true" />
      <option name="REPORT_NULLS_PASSED_TO_NON_ANNOTATED_METHOD" value="true" />
    </inspection_tool>
    <inspection_tool class="NumberEquality" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ObjectEquality" enabled="true" level="ERROR" enabled_by_default="true">
      <option name="m_ignoreEnums" value="true" />
      <option name="m_ignoreClassObjects" value="false" />
      <option name="m_ignorePrivateConstructors" value="false" />
    </inspection_tool>
    <inspection_tool class="ObjectEqualsNull" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ObjectToString" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="OptionalGetWithoutIsPresent" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ParameterHidingMemberVariable" enabled="false" level="ERROR" enabled_by_default="false">
      <option name="m_ignoreInvisibleFields" value="true" />
      <option name="m_ignoreStaticMethodParametersHidingInstanceFields" value="true" />
      <option name="m_ignoreForConstructors" value="false" />
      <option name="m_ignoreForPropertySetters" value="false" />
      <option name="m_ignoreForAbstractMethods" value="false" />
    </inspection_tool>
    <inspection_tool class="ParametersPerConstructor" enabled="false" level="INFO" enabled_by_default="false" />
    <inspection_tool class="ParametersPerMethod" enabled="false" level="INFO" enabled_by_default="false">
      <option name="m_limit" value="5" />
    </inspection_tool>
    <inspection_tool class="PointlessNullCheck" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="PrimitiveArrayArgumentToVariableArgMethod" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ReflectionForUnavailableAnnotation" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ReplaceAllDot" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ResultOfObjectAllocationIgnored" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ResultSetIndexZero" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ReturnNull" enabled="false" level="ERROR" enabled_by_default="false">
      <option name="m_reportObjectMethods" value="true" />
      <option name="m_reportArrayMethods" value="true" />
      <option name="m_reportCollectionMethods" value="true" />
      <option name="m_ignorePrivateMethods" value="false" />
    </inspection_tool>
    <inspection_tool class="ReuseOfLocalVariable" enabled="false" level="ERROR" enabled_by_default="false" />
    <inspection_tool class="SSBasedInspection" enabled="false" level="ERROR" enabled_by_default="false" />
    <inspection_tool class="SimplifiableIfStatement" enabled="false" level="ERROR" enabled_by_default="false" />
    <inspection_tool class="SpellCheckingInspection" enabled="false" level="INFO" enabled_by_default="false">
      <option name="processCode" value="true" />
      <option name="processLiterals" value="true" />
      <option name="processComments" value="true" />
    </inspection_tool>
    <inspection_tool class="StaticCallOnSubclass" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="StaticFieldReferenceOnSubclass" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="StringConcatenationInFormatCall" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="StringConcatenationInMessageFormatCall" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="StringConcatenationMissingWhitespace" enabled="false" level="ERROR" enabled_by_default="false" />
    <inspection_tool class="StringEquality" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="StringTokenizerDelimiter" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="SubtractionInCompareTo" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="SuspiciousArrayCast" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="SuspiciousIndentAfterControlStatement" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="SuspiciousMethodCalls" enabled="true" level="ERROR" enabled_by_default="true">
      <option name="REPORT_CONVERTIBLE_METHOD_CALLS" value="true" />
    </inspection_tool>
    <inspection_tool class="SuspiciousNameCombination" enabled="false" level="ERROR" enabled_by_default="false">
      <group names="x,width,left,right" />
      <group names="y,height,top,bottom" />
    </inspection_tool>
    <inspection_tool class="SuspiciousSystemArraycopy" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="SuspiciousToArrayCall" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="SystemOutErr" enabled="false" level="ERROR" enabled_by_default="false" />
    <inspection_tool class="TextLabelInSwitchStatement" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ThreeNegationsPerMethod" enabled="false" level="INFO" enabled_by_default="false">
      <option name="m_ignoreInEquals" value="true" />
      <option name="ignoreInAssert" value="false" />
    </inspection_tool>
    <inspection_tool class="ThrowableInstanceNeverThrown" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="ThrowableResultOfMethodCallIgnored" enabled="false" level="ERROR" enabled_by_default="false" />
    <inspection_tool class="ThrownExceptionsPerMethod" enabled="false" level="INFO" enabled_by_default="false">
      <option name="m_limit" value="3" />
    </inspection_tool>
    <inspection_tool class="UnusedAssignment" enabled="true" level="ERROR" enabled_by_default="true">
      <option name="REPORT_PREFIX_EXPRESSIONS" value="false" />
      <option name="REPORT_POSTFIX_EXPRESSIONS" value="true" />
      <option name="REPORT_REDUNDANT_INITIALIZER" value="true" />
    </inspection_tool>
    <inspection_tool class="UseOfPropertiesAsHashtable" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="VariableNotUsedInsideIf" enabled="false" level="ERROR" enabled_by_default="false" />
    <inspection_tool class="unused" enabled="true" level="TODO" enabled_by_default="true">
      <option name="LOCAL_VARIABLE" value="true" />
      <option name="FIELD" value="true" />
      <option name="METHOD" value="true" />
      <option name="CLASS" value="true" />
      <option name="PARAMETER" value="true" />
      <option name="REPORT_PARAMETER_FOR_PUBLIC_METHODS" value="true" />
      <option name="ADD_MAINS_TO_ENTRIES" value="true" />
      <option name="ADD_APPLET_TO_ENTRIES" value="true" />
      <option name="ADD_SERVLET_TO_ENTRIES" value="true" />
      <option name="ADD_NONJAVA_TO_ENTRIES" value="true" />
    </inspection_tool>
  </profile>
</component>